<?


class Ui_final_operations {

	// действия при активации этапа
	static function active() {
		GLOBAL $GOP, $Graphs, $Bt_run;
		
		$Graphs['disk']->legend->visible(GRD_good_write, 0);
		$Graphs['disk']->legend->visible(GRD_slow_auto, 1);
		$Graphs['disk']->legend->visible(GRD_read_err, 1);
		$Graphs['disk']->legend->visible(GRD_create_err, 1);
		$Graphs['disk']->legend->visible(GRD_frag, 1);
		$Graphs['disk']->legend->visible(GRD_all_slow, 1);
		$Graphs['disk']->legend->visible(GRD_result_space, 1);
		
		// надо прописывать во всех этапах!
		Step_activator::graphs_enabled(1);

		$Bt_run->onClick('final_operations');
	}

	static function after_run_complete() {
		GLOBAL $INFO;

		Ui_final::$open_send_report = true;
	}
}



?>